
RSB Event Time Visualization - Bug #910
Allow plotting of al event types
03/02/2012 11:19 AM - J. Wienke

Status: Closed Start date: 03/02/2012
Priority: Normal Due date:
Assignee: P. Lücking % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

Exception in thread Thread-6:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 532, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.6/threading.py", line 484, in run
    self.__target(*self.__args, **self.__kwargs)
  File
"/homes/jwienke/local/lucid/x86_64/lib/python2.6/site-packages/rsb_python-0.6.0-py2.6.egg/rsb/transport/rsbspread/__init__.py", line 208, in __call__
    raise e
KeyError: '.rst.kinematics.ProprioceptionState'

", line 208, in __call__
    raise e
KeyError: '.rst.kinematics.ProprioceptionState'

History
#1 - 03/02/2012 11:19 AM - J. Wienke
- Assignee set to P. Lücking

#2 - 03/02/2012 11:34 AM - J. Wienke

    1. write converter that does not convert anything (and e.g. returns None in deserialize)
    2. create PredicateConverterList where only this converter is registered and the predicate always selects this converter
    3. adapt default ParticipantConfig and set the new PredicateConverterList in the "converters" property of each contained Transport
    4. afterwards every new listener has this config

#3 - 03/08/2012 05:05 PM - P. Lücking
- Status changed from New to Closed
- % Done changed from 0 to 100

few changes in rsb_python were necessary
tested with bagplay
